package dk.brics.bisim.equiv;

import java.util.ArrayList;

import att.grappa.Node;

/**
 * Interface of a successor to a node.
 * A successor has an edge label, a to-node, a list of edge names and it may be weak
 * in which case the list of edge names may have length greater than 1.
 * @author Martin Mosegaard <a href="mailto:martinm@daimi.au.dk">martinm@daimi.au.dk</a>
 *
 */
public interface Successor {

	public String getEdgeLabel();
	
	public Node getToNode();
	
	public boolean isWeak();
	
	public ArrayList<String> getEdgeNames();

}
