package dk.brics.bisim.view;

import java.io.File;

import javax.swing.filechooser.FileFilter;

/**
 * A file filter for the extension <tt>.graph</tt>
 * 
 * @author Martin Mosegaard <a href="mailto:martinm@daimi.au.dk">martinm@daimi.au.dk</a>
 *
 */
public class GraphFileFilter extends FileFilter {

	private static final String GRAPH = "graph";
	
	@Override
	public boolean accept(File f) {
		if (f.isDirectory()) 
			return true;
		
		String ext = getExtension(f);
		return (ext != null && ext.equals(GRAPH));
	}

	@Override
	public String getDescription() {
		return "Graph files ( .graph )";
	}

    private static String getExtension(File f) {
        String ext = null;
        String s = f.getName();
        int i = s.lastIndexOf('.');

        if (i > 0 &&  i < s.length() - 1) {
            ext = s.substring(i+1).toLowerCase();
        }
        return ext;
    }
}
