package dk.brics.bisim.view;

/**
 * A class containing game status messages.
 * Used by the game controller to update the status messages in the game view.
 * @author Martin Mosegaard <a href="mailto:martinm@daimi.au.dk">martinm@daimi.au.dk</a>
 * @see dk.brics.bisim.controller.GameController
 * @see dk.brics.bisim.view.GameView  
 */
public class Message {

	static final String INDENTATION = "   ";
	
	static public final String ROUND         = "Round ";
	static public final String CONFIGURATION = "Current configuration: ";
	static public final String ALREADY_SEEN  = "Configuration already seen in round ";
	
	static public final String SIDE_YOU   = INDENTATION + "Choose a side.. ";
	static public final String SIDE_OTHER = INDENTATION + "Attacker chooses side.. ";
	static public final String SIDE_BOTH  = INDENTATION + "Attacker, choose a side.. ";
	
	static public final String LEFT_SIDE  = "left side";
	static public final String RIGHT_SIDE = "right side";
	
	static public final String ACTION_YOU   = INDENTATION + "Choose an action.. ";
	static public final String ACTION_OTHER = INDENTATION + "Attacker chooses action.. ";
	static public final String ACTION_BOTH  = INDENTATION + "Attacker, choose an action.. ";
	
	static public final String COUNTERMOVE_YOU   = INDENTATION + "Choose a countermove";
	static public final String COUNTERMOVE_OTHER = INDENTATION + "Defender chooses a countermove";
	static public final String COUNTERMOVE_BOTH  = INDENTATION + "Defender, choose a countermove";
	
	static public final String ATTACKER_WINS = "Attacker wins";	
	static public final String DEFENDER_WINS = "Defender wins";	
	static public final String YOU_WIN       = "You win ";	
	static public final String YOU_LOSE      = "You lose ";

	static public final String SERVER_LEFT = "The server left.";
	static public final String CLIENT_LEFT = "The client left. Waiting for another to connect.";
	static public final String WAITING     = "Waiting for a second player to connect";

}
